GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_chttp2_hptbl Struct Reference

`#include <hpack_table.h>`

## Data Fields
grpc_mdctx * | mdctx
gpr_uint16 | first_ent
gpr_uint16 | last_ent
gpr_uint16 | num_ents
gpr_uint16 | mem_used
gpr_uint16 | max_bytes
grpc_mdelem * | ents [((4096+32-1)/32)]
grpc_mdelem * | static_ents [61]

## Field Documentation

grpc_mdelem* grpc_chttp2_hptbl::ents[((4096+32-1)/32)]

gpr_uint16 grpc_chttp2_hptbl::first_ent

gpr_uint16 grpc_chttp2_hptbl::last_ent

gpr_uint16 grpc_chttp2_hptbl::max_bytes

grpc_mdctx* grpc_chttp2_hptbl::mdctx

gpr_uint16 grpc_chttp2_hptbl::mem_used

gpr_uint16 grpc_chttp2_hptbl::num_ents

grpc_mdelem* grpc_chttp2_hptbl::static_ents[61]

The documentation for this struct was generated from the following file:

- src/core/transport/chttp2/hpack_table.h